//----------------------------------------------------------------------------
#include <vcl\vcl.h>
#pragma hdrstop

#include "DViewer_Print.h"
#include "DViewer.h"
//----------------------------------------------------------------------------
#pragma resource "*.dfm"
TQuickReport1 *QuickReport1;
//----------------------------------------------------------------------------
__fastcall TQuickReport1::TQuickReport1(TComponent* Owner)
    : TQuickRep(Owner)
{

}
//----------------------------------------------------------------------------



void __fastcall TQuickReport1::QuickRepStartPage(TCustomQuickRep *Sender)
{
  QRConexionesF->Caption = DViewerF->Label4->Caption + " ( " + DViewerF->Label8->Caption + " )";
  QRConexionesR->Caption = DViewerF->Label6->Caption + " ( " + DViewerF->Label9->Caption + " )";
  QRNBonos->Caption = DViewerF->NBonos->Caption;
  QRRuptura->Caption = DViewerF->MargenRuptura->SelText;
  QRBonosVendidos->Caption = DViewerF->BonosVendidos->Caption;

  QRMemo1->Lines->Clear();
  QRMemo2->Lines->Clear();
  QRMemo3->Lines->Clear();
  QRMemo4->Lines->Clear();
  QRMemo5->Lines->Clear();
  QRMemo6->Lines->Clear();
  QRMemo7->Lines->Clear();
  QRMemo8->Lines->Clear();
  // Rellenamos la tabla de datos
  for (int i = 0; i < DViewerF->Equipos->Items->Count; i++)
  {
    QRMemo2->Lines->Add( DViewerF->StringGrid1->Cells[0][i+1] );
    QRMemo1->Lines->Add( DViewerF->StringGrid1->Cells[1][i+1] );

    QRMemo3->Lines->Add( DViewerF->StringGrid1->Cells[2][i+1] );
    QRMemo4->Lines->Add( DViewerF->StringGrid1->Cells[3][i+1] );
    QRMemo5->Lines->Add( DViewerF->StringGrid1->Cells[4][i+1] );
    QRMemo6->Lines->Add( DViewerF->StringGrid1->Cells[5][i+1] );
    QRMemo7->Lines->Add( DViewerF->StringGrid1->Cells[6][i+1] );
    QRMemo8->Lines->Add( DViewerF->StringGrid1->Cells[7][i+1] );
  }
}
//---------------------------------------------------------------------------

